<template>
    <div class="legend">{{ text }}</div>
</template>

<script>
export default {
  props: {
    text: {
      required: true,
      type: String
    }
  }
}
</script>
<style scoped lang="scss">
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@500&display=swap');
$primary-color: #5B71EB;

* {
  font-family: 'Poppins', sans-serif;
}

.legend:before {
  content: "";
  position: absolute;
  top: 15px;
  left: 0;
  width: 52px;
  height: 2px;
  background: $primary-color;
}

.legend {
  color: $primary-color;
  position: relative;
  padding-left: 60px;
  font-size: 20px;
  line-height: 1.4;
  font-weight: 600;
}

</style>
